GXSM4(1)

NAME
GXSM4 - Gnome X Scanning Microscopy

SYNOPSIS
GXSM4 [-option] - List of loadable file(s) .nc

DESCRIPTION
GXSM4 is a powerful graphical interface for any kind of 2D and 3D (multilayered 2D mode) data acquisition methods, especially designed for SPM and SPA-LEED, which are used in surface science. It includes methods for 2D data (of various types: byte, short, long, double) visualization and manipulation. We are currently using it for STM and all kinds of AFM.

GXSM4 is powerful, it is easy to extend via plug-ins, it is unlimited in data size... and it is a free and open source software hosted by SourceForge! It is based on the Linux Gtk+/Gnome development environment.

More details on

•   http://gxsm.sf.net

•   http://sranger.sf.net

•   J. Vac. Sci. Technol. B 28, C4E39 (2010), doi:10.1116/1.3374719

OPTIONS
Help

-?, - -help
    Show help options

Application Options

-V, - -version
    Show the application's version

-h, ---hardware-card
    Hardware Card: no | ... (depends on available HwI plugins)

-d, - -Hardware-DSPDev
    Hardware DSP Device Path: /dev/sranger_mk23_0 | ... (depends on module type and index if multiple DSPs)

-u, - -User-Unit
    XYZ Unit: AA | nm | um | mm | BZ | sec | V | 1

-m, - -load-files-as-movie
    load file from command in one channel as movie

-s, - -new-instance
    Start a new instance of GXSM4 -- not yet functional, use different user account via ssh -X... for now.

Debugging

-L, - -logging-level
    Set GXSM4 logging/monitor level. omit all loggings: 0, minimal logging: 1, default logging: 2, verbose logging: 3, ...

- -disable-plugins
    Disable default plugin loading on startup

-g, - -disable-geometry-management
    Disable Gxsm Window Geometry load/restore on startup

- -force-configure
    Force to reconfigure Gxsm on startup

- -force-rebuild-configuration-defaults
    Forces to restore all GXSM values to build in defaults at startup

- -write-gxsm-preferences-gschema
    Generate Gxsm preferences gschema file on startup with build in defaults and exit

- -write-gxsm-gl-preferences-gschema
    Generate Gxsm GL preferences gschema file on startup with build in defaults and exit

- -write-gxsm-pcs-gschema
    Generate Gxsm pcs gschema file on startup with build in defaults while execution

- -write-gxsm-pcs-adj-gschema
    Generate Gxsm pcs adjustements gschema file on startup with build in defaults while execution

- -D, - -debug-level=DN
    Set Gxsm debug level. 0: no debug output on console, 1: normal, 2: more verbose, ...5 increased verbosity

-P, - -pi-debug-level=PDN
    Set Gxsm Plug-In debug level. 0: no debug output on console, 1: normal, 2: more verbose, ...5 increased verbosity

-T, - -build-self-test-script
    Build gxsm4 self test pyremote script.

HISTORY
The project Gxsm was initiated by the main author Percy Zahl, see the Gxsm Manual and homepage http://gxsm.sf.net for a complete list of the contributors to the Gxsm project. Read the online GXSM4 manual at http://gxsm.sf.net. This manual page was written by

•   Percy Zahl <zahl@users.sf.net>

•   Stefan Schroeder <stefan_fkp@users.sf.net> (Update for Gxsm3)

•   Thorsten WAgner <stm@users.sf.net> (Update for Gxsm4)
for the Debian GNU/Linux system (but may be used by others).

BUGS
See the Tracker/Bugs at http://sourceforge.net/projects/gxsm/

COPYING
Copyright 1997 - 2023 Percy Zahl, Andreas Klust, Thorsten Wagner

This is free software (GPL); see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gmetopng(1), nctopng(1), rhkspm32topng(1), scalatopng(1), vpdata2ascii(1)